<?php

namespace Drupal\commerce_wechat_pay\Plugin\Commerce\PaymentGateway;

use Drupal\commerce_order\Entity\OrderInterface;
use Drupal\commerce_payment\Entity\PaymentInterface;
use Drupal\commerce_price\Price;
use Symfony\Component\HttpFoundation\Request;
use EasyWeChat\Foundation\Application;

/**
 * Provides WeChat Micropay gateway.
 * @link https://pay.weixin.qq.com/wiki/doc/api/micropay.php?chapter=5_1
 *
 * @CommercePaymentGateway(
 *   id = "micropay",
 *   label = "WeChat Micropay",
 *   display_label = "WeChat Micropay",
 *    forms = {
 *     "offsite-payment" = "Drupal\commerce_wechat_pay\PluginForm\MicropayForm",
 *   }
 * )
 */
class Micropay extends QRCodePaymentMode2 {

  // All the functions are the same as QRCodePaymentMode2
}
